//
//  AppDelegate.swift
//  AIEmoji
//
//  Created by 100Years on 2025/1/15.
//

import UIKit

@main
class AppDelegate: UIResponder, UIApplicationDelegate {

    var window: UIWindow?

    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?) -> Bool {
        window = UIWindow(frame: UIScreen.main.bounds)
        window?.backgroundColor = UIColor.white
        window?.makeKeyAndVisible()
        
        goToTab()
        
        return true
    }

    
    func goToTab(){
        window?.rootViewController = TSTabBarController()
    }
    
    func addNetListener(){
        TSNetworkShard.monitorNetworkPermission { success in
            if success {
                //PurchaseManager.default.requestProducts()
            }
        }
    }
}

